# -*- coding: utf-8 -*-
# Generated by Django 1.11.13 on 2018-06-15 19:29
from __future__ import unicode_literals

from django.db import migrations


def fix_blog_content_positions(apps, schema_editor):
    Entry = apps.get_model('blog', 'Entry')
    EntryContent = apps.get_model('blog', 'EntryContent')
    for entry in Entry.objects.all():
        content = entry.content.all().order_by('position', 'id')
        for i, item in enumerate(content):
            EntryContent.objects.filter(id=item.id).update(position=i)


class Migration(migrations.Migration):

    dependencies = [
        ('blog', '0002_convert_blog_images'),
    ]

    operations = [
        migrations.RunPython(fix_blog_content_positions, migrations.RunPython.noop),
    ]
